Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Vec4s Class Reference

List of all members.

## Public Types
typedef short | value_type
| Type of Vec class.
enum | { num_components = 4 }
| Number of vector components. More...
## Public Member Functions
| Vec4s ()
| Vec4s (value_type x, value_type y, value_type z, value_type w)
bool | operator== (const Vec4s &v) const
bool | operator!= (const Vec4s &v) const
bool | operator< (const Vec4s &v) const
value_type * | ptr ()
const value_type * | ptr () const
void | set (value_type x, value_type y, value_type z, value_type w)
value_type & | operator[] (unsigned int i)
value_type | operator[] (unsigned int i) const
value_type & | x ()
value_type & | y ()
value_type & | z ()
value_type & | w ()
value_type | x () const
value_type | y () const
value_type | z () const
value_type | w () const
value_type & | r ()
value_type & | g ()
value_type & | b ()
value_type & | a ()
value_type | r () const
value_type | g () const
value_type | b () const
value_type | a () const
Vec4s | operator * (value_type rhs) const
Vec4s | operator/ (value_type rhs) const
Vec4s | operator+ (value_type rhs) const
Vec4s | operator- (value_type rhs) const
Vec4s | operator+ (const Vec4s &rhs) const
Vec4s | operator- (const Vec4s &rhs) const
Vec4s | operator * (const Vec4s &rhs) const
## Public Attributes
value_type | _v [4]
| Vec member varaible.

## Member Typedef Documentation

typedef short osg::Vec4s::value_type

| Type of Vec class.

## Member Enumeration Documentation

anonymous enum

  | Number of vector components. Enumeration values:
  num_components |

## Constructor & Destructor Documentation

osg::Vec4s::Vec4s | ( |  | ) | `[inline]`

osg::Vec4s::Vec4s | ( | value_type | x,
|  | value_type | y,
|  | value_type | z,
|  | value_type | w
| ) | `[inline]`

## Member Function Documentation

value_type osg::Vec4s::a | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::a | ( |  | ) | `[inline]`

value_type osg::Vec4s::b | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::b | ( |  | ) | `[inline]`

value_type osg::Vec4s::g | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::g | ( |  | ) | `[inline]`

Vec4s osg::Vec4s::operator * | ( | const Vec4s & | rhs | ) | const`[inline]`

Vec4s osg::Vec4s::operator * | ( | value_type | rhs | ) | const`[inline]`

bool osg::Vec4s::operator!= | ( | const Vec4s & | v | ) | const`[inline]`

Vec4s osg::Vec4s::operator+ | ( | const Vec4s & | rhs | ) | const`[inline]`

Vec4s osg::Vec4s::operator+ | ( | value_type | rhs | ) | const`[inline]`

Vec4s osg::Vec4s::operator- | ( | const Vec4s & | rhs | ) | const`[inline]`

Vec4s osg::Vec4s::operator- | ( | value_type | rhs | ) | const`[inline]`

Vec4s osg::Vec4s::operator/ | ( | value_type | rhs | ) | const`[inline]`

bool osg::Vec4s::operator< | ( | const Vec4s & | v | ) | const`[inline]`

bool osg::Vec4s::operator== | ( | const Vec4s & | v | ) | const`[inline]`

value_type osg::Vec4s::operator[] | ( | unsigned int | i | ) | const`[inline]`

value_type& osg::Vec4s::operator[] | ( | unsigned int | i | ) | `[inline]`

const value_type* osg::Vec4s::ptr | ( |  | ) | const`[inline]`

value_type* osg::Vec4s::ptr | ( |  | ) | `[inline]`

value_type osg::Vec4s::r | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::r | ( |  | ) | `[inline]`

void osg::Vec4s::set | ( | value_type | x,
|  | value_type | y,
|  | value_type | z,
|  | value_type | w
| ) | `[inline]`

value_type osg::Vec4s::w | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::w | ( |  | ) | `[inline]`

value_type osg::Vec4s::x | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::x | ( |  | ) | `[inline]`

value_type osg::Vec4s::y | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::y | ( |  | ) | `[inline]`

value_type osg::Vec4s::z | ( |  | ) | const`[inline]`

value_type& osg::Vec4s::z | ( |  | ) | `[inline]`

## Member Data Documentation

value_type osg::Vec4s::_v[4]

| Vec member varaible.

The documentation for this class was generated from the following file:

- Vec4s